<?php

	
include('../conexion.php'); 
include ("../funciones/fechas.php"); 
 date_default_timezone_set('America/Costa_Rica');	
 
session_start();

 $usu=$_SESSION['username'];


$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];
$cod = $row["codusu"];

		$hoy=date("Y-m-d");
?>

<?php 
if (!isset($_POST["algo"])) { $nomb=""; } else  { $nomb=$_POST["algo"]; }		
 //$nomb=$_POST["algo"];
 $cdgcli=$_POST["cdgcli"];
 $dsccli=strtoupper($_POST["dsccli"]);
 
 if (!isset($_POST["salant"])) { $salant=0; } else  { $salant=$_POST["salant"]; }	
$salant = str_replace  (",","",$salant);

if (!isset($_POST["salact"])) { $salact=0; } else  { $salact=$_POST["salact"]; }
$salact = str_replace  (",","",$salact);
$salant = str_replace  ("₡","",$salant);
$salant=$_POST["salant"];
$salant = str_replace ("[,]","",$salant);
$salact=$_POST["salact"];
$salact = str_replace ("[,]","",$salact);
$accion=$_POST["accion"];

if (!isset($_POST["monabo"])) { $monabo=0; } else  { $monabo=$_POST["monabo"]; }
 //$monabo = str_replace  (",","",$monabo);
// $monabo=$_POST["monabo"];
 //$monabo = ereg_replace ("[,]","",$monabo);
 $numrectmp=$_POST["numrec"];
 $detrec=strtoupper($_POST["detrec"]);	


 $query_parametros="SELECT * FROM web_0000 ";
 
 
 	 $rs_busqueda = $mysqli->query($query_parametros);
			$fila = $rs_busqueda->fetch_array();
			$cdgdis = $fila["cdgdis"];
			$numreccli = $fila["numreccli"];
		  $numreccli=$numreccli+1;
		  $numrec=$numreccli;


			/////////////////////////////////////////////////  Guarda el recibo en pagos clientes 
			//////////////////////////////////////			
				    if ($accion=="alta") {
				    $tipmov="RP";
	                $sel_insertar="INSERT INTO terminal_pagos_clientes (numrec, fecrec, montot, salant, salact, cdgcli, dsccli, detrec, estrec, cdgcaj, tipmov, cdgusu) 
					VALUES ('$numrec',  '$hoy', '$monabo', '$salant', '$salact', '$cdgcli', '$dsccli',  '$detrec', '1',  '$cod',  '$tipmov', '$nomb')";				
	$mysqli->query($sel_insertar);

	
	 $query_operacion2="UPDATE web_0000 SET numreccli='$numreccli'";				
	$mysqli->query($query_operacion2);
	

$consulta1 = "DELETE FROM terminal_pagos_clientestmp  WHERE numrec ='$numrectmp'";
$mysqli->query($consulta1);




	}
		$accion2="";	
	//////////////////////////////////////////////////////////// Anulacion del recibo en pagos clientes ///////////////////////////////////////		
			if ($accion2=="baja") {
	$numrec=$_GET["numrec"];
	echo $numrec;
	$query="UPDATE terminal_pagos_clientes SET estrec='0', nomusu='$nomb',  fecmod='$hoy' WHERE numrec='$numrec'";
	$mysqli->query($query);
	
}
			


?>


<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function salir() {
			location.href="index.php";
		}
		
		function imprimir(numrec) {
		//window.open("Recibo.txt?numfac="+numfac);
		//window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);
		window.open("../fpdf/imprimir_recibo_MANUAL_PUNTO_VENTA.php?numrec="+numrec);
		//document.getElementById(factura).select()
		
		//location.href="nueva_proforma_super.php";
		}
		
		
				  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 
	
  }
	  }	
	  
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		
		</script>
<?php  

echo "<script>";
echo "imprimir($numrec);";
echo "</script>";
		


?>

<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton();">
	
   
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 
<div id="botonBusquedaAWR">
  <div id="div" align="center">
    <p><span class="fuente_gracias"><img  src="../img/Symbol-Check_128x128-32.png" alt="1" width="128" height="128"  onClick="salir()"></span></p>
  </div>
</div>

<div align="center"  ></div>
    
</body>
</html>
 
  